ALTER TABLE NNCARDS 
MODIFY OPIS VARCHAR2(100 CHAR);

ALTER TABLE SALDKONT
MODIFY USER_SPREMEMBE VARCHAR2(250 CHAR);

ALTER TABLE SALDKONT_ZAP
MODIFY USER_SPREMEMBE VARCHAR2(250 CHAR);

ALTER TABLE CREDIT_CARD_TOKEN
MODIFY USER_CREATED VARCHAR2(250 CHAR);

ALTER TABLE PAYMENT_LINK
MODIFY USER_CREATED VARCHAR2(250 CHAR);

ALTER TABLE KUPCI
MODIFY TELEFON_1 VARCHAR2(50 CHAR);

ALTER TABLE KUPCI_ZDRUZENI
MODIFY TELEFON_1 VARCHAR2(50 CHAR);

ALTER TABLE REZERVAC
MODIFY TELEFON VARCHAR2(50 CHAR);

ALTER TABLE KUPCI
MODIFY TELEFON_2 VARCHAR2(50 CHAR);

ALTER TABLE KUPCI_ZDRUZENI
MODIFY TELEFON_2 VARCHAR2(50 CHAR);

ALTER TABLE KUPCI
MODIFY POSTA VARCHAR2(50 CHAR);

ALTER TABLE KUPCI_ZDRUZENI
MODIFY POSTA VARCHAR2(50 CHAR);

ALTER TABLE SALDKONT_KUPEC
MODIFY POSTA VARCHAR2(50 CHAR);

ALTER TABLE REZERVAC
MODIFY POSTA VARCHAR2(50 CHAR);

ALTER TABLE EXCHANGE
MODIFY POSTA VARCHAR2(50 CHAR);

ALTER TABLE KUPCI
MODIFY TELEFAX VARCHAR2(100 CHAR);

ALTER TABLE KUPCI_ZDRUZENI
MODIFY TELEFAX VARCHAR2(100 CHAR);

ALTER TABLE KUPCI
MODIFY TELEX VARCHAR2(100 CHAR);

ALTER TABLE KUPCI_ZDRUZENI
MODIFY TELEX VARCHAR2(100 CHAR);

ALTER TABLE KUPCI_ZDRUZENI
MODIFY DAVCNA_STEVILKA VARCHAR2(30 CHAR);

ALTER TABLE REZERVAC
MODIFY MOBILE_PHONE VARCHAR2(100 CHAR);

ALTER TABLE PLOVILA
MODIFY KONSTRUKCIJSKI_MATERIAL VARCHAR2(50 CHAR);

ALTER TABLE KUPCIBELEZKE
MODIFY BELEZKA VARCHAR2(4000 CHAR);

ALTER TABLE EXCHANGE
MODIFY IME VARCHAR2(250 CHAR);

ALTER TABLE EXCHANGE
MODIFY PRIIMEK VARCHAR2(250 CHAR);

DROP VIEW V_CREDIT_LIMIT;

CREATE OR REPLACE VIEW V_CREDIT_LIMIT AS (
  SELECT CL.ID_CREDIT_LIMIT, CL.ID_LASTNIKA, CL.ID_TYPE, CL.DATE_FROM, CL.DATE_TO, CL.AMOUNT, CL."COMMENT", CL.ACTIVE, CLT.DESCRIPTION AS TYPE_DESCRIPTION, 
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
  (SELECT SUM(S.ZA_PLACILO) FROM SALDKONT S WHERE S.ID_KUPCA = CL.ID_LASTNIKA AND S.VRSTA_RACUNA = (CASE WHEN CL.ID_TYPE = 1 THEN 'TRF' ELSE NULL END) 
  AND (CL.DATE_FROM IS NULL OR S.DATUM  >= CL.DATE_FROM) AND (CL.DATE_TO IS NULL OR S.DATUM <= CL.DATE_TO) AND S.STORNO IS NULL) AS USED_AMOUNT
  FROM CREDIT_LIMIT CL 
  LEFT OUTER JOIN CREDIT_LIMIT_TYPE CLT ON CLT.ID_CREDIT_LIMIT_TYPE = CL.ID_TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = CL.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1586, SYSDATE, '5.5', 1506, 'Alter modify')
;