CREATE TABLE CONTRACT_APPROVAL (
  ID_CONTRACT_APPROVAL NUMBER NOT NULL,
  ID_POGODBE NUMBER NOT NULL,
  APPROVED_BY VARCHAR2(20 CHAR),
  APPROVED_ON DATE,
  CONSTRAINT CONTRACT_APPROVAL_PK PRIMARY KEY (ID_CONTRACT_APPROVAL)
);

ALTER TABLE CONTRACT_APPROVAL
ADD CONSTRAINT CONTRACT_APPROVAL_CONTRACT_FK FOREIGN KEY (ID_POGODBE) REFERENCES M_POGODBE(ID_POGODBE);

CREATE SEQUENCE CONTRACT_APPROVAL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE M_NNSTOMAR_BOAT_TYPE (
ID_STOMAR_BOAT_TYPE NUMBER NOT NULL,
SERVICE_CODE VARCHAR2(10 CHAR) NOT NULL,
BOAT_TYPE VARCHAR2(3 CHAR) NOT NULL,
CONSTRAINT PK_M_NNSTOMAR_BOAT_TYPE PRIMARY KEY(ID_STOMAR_BOAT_TYPE)
);

ALTER TABLE M_NNSTOMAR_BOAT_TYPE
ADD CONSTRAINT STOMAR_BOAT_TYPE_BOAT_TYPE_FK FOREIGN KEY (BOAT_TYPE) REFERENCES NNTIP(SIFRA);

CREATE SEQUENCE M_NNSTOMAR_BOAT_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE M_NNSTOMAR
ADD PURPOSE_OF_USE VARCHAR2(3 CHAR);

ALTER TABLE M_NNSTOMAR
ADD CONSTRAINT M_NNSTOMAR_PURPOSE_OF_USE_FK FOREIGN KEY (PURPOSE_OF_USE) REFERENCES PURPOSE_OF_USE(CODE);

ALTER TABLE M_STORITVE
ADD LIFT_CODE VARCHAR2(10 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1959, SYSDATE, '5.5', 1879, 'MNnstomar boat type')
;