ALTER TABLE FB_VIEW_GROUP
ADD FILE_NAME VARCHAR2(200 CHAR);

ALTER TABLE FB_VIEW_GROUP
ADD FILE_DATA BLOB;

ALTER TABLE FB_VIEW_GROUP
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

ALTER TABLE FB_VIEW_GROUP
ADD CAPTION VARCHAR2(100 CHAR);

ALTER TABLE FB_VIEW_GROUP
ADD KEEP_ASPECT_RATIO VARCHAR2(1 CHAR);

DROP VIEW V_FB_VIEW_PRODUCT;

CREATE OR REPLACE VIEW V_FB_VIEW_PRODUCT AS (
SELECT FP.ID_FB_VIEW_PRODUCT, FP.ID_FB_VIEW_GROUP, FP.ID_ARTIKEL, FP.SORT, FP.COLOR, FP.FILE_NAME, FP.FILE_DATA, FP.FILE_REFERENCE, FP.CAPTION, FP.KEEP_ASPECT_RATIO, 
FG.ID_FB_LOCATION, FG.DESCRIPTION AS GROUP_DESCRIPTION, FG.ACTIVE AS GROUP_ACTIVE, FG.ID_FB_VIEW_GROUP_PARENT,
S.NAZIV1 AS PRODUCT_DESCRIPTION, S.AUTO_NOTE AS PRODUCT_AUTO_NOTE
FROM FB_VIEW_PRODUCT FP
LEFT OUTER JOIN FB_VIEW_GROUP FG ON FG.ID_FB_VIEW_GROUP = FP.ID_FB_VIEW_GROUP
LEFT OUTER JOIN S_ARTIKLI S ON S.ID_ARTIKEL = FP.ID_ARTIKEL
);

ALTER TABLE S_PROMET
ADD ID_FB_ORDER_DETAIL NUMBER 
CONSTRAINT S_PROMET_FB_ORDER_DETAIL_FK REFERENCES FB_ORDER_DETAIL(ID_FB_ORDER_DETAIL);

CREATE INDEX IX_S_PROMET_ID_FB_ORDER_DETAIL ON S_PROMET (ID_FB_ORDER_DETAIL);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2127, SYSDATE, '5.5', 2047, 'FB group image')
;
