DROP INDEX PK_M_DE_NA;

ALTER TABLE M_DE_NA 
ADD ID_DN1 NUMBER;

CREATE SEQUENCE ID_DN1_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;

UPDATE M_DE_NA SET ID_DN1=ID_DN1_SEQ.NextVal;

CREATE TABLE M_DE_NA_DUPLI AS 
SELECT * 
FROM M_DE_NA 
WHERE ID_DN IN (SELECT ID_DN FROM M_DE_NA GROUP BY ID_DN HAVING Count(*)>1)
Order by ID_DN;

DELETE FROM M_DE_NA 
WHERE ID_DN IN (SELECT ID_DN FROM M_DE_NA GROUP BY ID_DN HAVING Count(*)>1)
and ID_DN1 > (SELECT MIN(ID_DN1) FROM M_DE_NA_DUPLI WHERE M_DE_NA.ID_DN=M_DE_NA_DUPLI.ID_DN)
;

DROP SEQUENCE ID_DN1_SEQ;

ALTER TABLE M_DE_NA DROP COLUMN ID_DN1;

ALTER TABLE M_DE_NA
ADD CONSTRAINT P_M_DE_NA PRIMARY KEY (ID_DN);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (286, SYSDATE, '5.5', 206, 'M_DE_NA PK');