INSERT INTO NNATRIBUTI VALUES ('CON','Corporate Nominee', 'Corporate Nominee', 'BOOLEAN', 'Y');

INSERT INTO NNODNOS VALUES ('W','CREW','CREW','Y');
INSERT INTO NNODNOS VALUES ('N','NOMINEE','NOMINEE','Y');

CREATE OR REPLACE VIEW V_KUPCI AS (
	SELECT CONCAT(K.ID, '-INTERNI_OPIS') AS V_KUPCI_ID, K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC,
	NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC, 'INTERNI_OPIS' AS SIF_LANG
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
	UNION ALL
	SELECT CONCAT(K.ID, '-OPIS') AS V_KUPCI_ID, K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, NNTIT.OPIS AS NNTITLE_DESC, NNDRZ.OPIS AS NNDRZAVA_DESC, NNDOK.OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.OPIS AS VRSTA_DESC,
	NNDRZDR.OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.OPIS AS CITIZENSHIP_DESC, NNMAR.OPIS AS MARITAL_STATUS_DESC, 'OPIS' AS SIF_LANG
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(502, SYSDATE, '5.5', 422, 'Corporate member');